- block:
  - include_role:
      name: commons
      tasks_from: databases/postgres.yaml
    vars:
      cpu_limit: "{{ ara_db_cpu_limit }}"
      memory_limit: "{{ ara_db_memory_limit }}"
      postgres_data_capacity: "{{ ara_db_data_capacity }}"
      postgres_name: "{{ ara_pg_name }}"
  - include_role:
      name: commons
      tasks_from: helpers/network-policy.yaml
    vars:
      source:
      - name: "{{ ara_name }}"
      - name: "{{ ara_job_name }}"
      policy_name: "{{ ara_name }}-to-{{ ara_pg_name }}"
      policy_state: "{{ 'present' if (do_network_policy)
                                  else 'absent' }}"
      subject: "{{ ara_pg_name }}"
      to:
      - number: "5432"
  when:
  - ara_db_type == 'postgres'
- block:
  - include_role:
      name: commons
      tasks_from: databases/percona.yaml
    vars:
      cpu_limit: "{{ ara_db_cpu_limit }}"
      memory_limit: "{{ ara_db_memory_limit }}"
      percona_data_volume_capacity: "{{ ara_db_data_capacity }}"
      percona_name: "{{ ara_pc_name }}"
  - include_role:
      name: commons
      tasks_from: helpers/network-policy.yaml
    vars:
      source:
      - name: "{{ ara_name }}"
      policy_name: "{{ ara_name }}-to-{{ ara_pc_name }}"
      policy_state: "{{ 'present' if (do_network_policy)
                                  else 'absent' }}"
      subject: "{{ ara_pc_name }}"
      to:
      - number: "3306"
  when:
  - ara_db_type == 'percona'
- block:
  - include_role:
      name: commons
      tasks_from: databases/mariadb.yaml
    vars:
      cpu_limit: "{{ ara_db_cpu_limit }}"
      mariadb_data_capacity: "{{ ara_db_data_capacity }}"
      mariadb_name: "{{ ncpc_name }}"
      memory_limit: "{{ ara_db_memory_limit }}"
  - include_role:
      name: commons
      tasks_from: helpers/network-policy.yaml
    vars:
      source:
      - name: "{{ ara_name }}"
      - name: "{{ ara_job_name }}"
      policy_name: "{{ ara_name }}-to-{{ ara_ms_name }}"
      policy_state: "{{ 'present' if (do_network_policy)
                                  else 'absent' }}"
      subject: "{{ ara_ms_name }}"
      to:
      - number: "3306"
  when:
  - ara_db_type in [ 'mariadb', 'mysql' ]
